<?php

$home_top_type = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '通用设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '站点名称',
			'default' 	=> '',
			'desc' 		=> '站点名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'keywords'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '站点关键词',
			'default' 	=> '',
			'desc' 		=> '站点关键词',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),
		
		'info'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '站点描述',
			'default' 	=> '',
			'desc' 		=> '站点描述',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'logo'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '站点LOGO',
			'default' 	=> '',
			'desc' 		=> '站点LOGO',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '210*80',
		),

		'hr5'       => array
        (
            'name'      => '联系配置',
            'class'     => '',//本项必须填写
            'attr'      => '',
        ),

        'qq'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服qq',
            'default'   => '',
            'desc'      => '客服qq',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'email'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服邮箱',
            'default'   => '',
            'desc'      => '客服邮箱',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'phone'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '客服电话',
            'default'   => '',
            'desc'      => '请输入客服电话',
            'match'     => 'option',
            'update'    => 'text',
        ),

        'wechat'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信客服-上传微信客服二维码图片',
			'default' 	=> '',
			'desc' 		=> '微信客服',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '140*140',
		),

		'wechat_service'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '微信公众号-上传微信公众号二维码图片',
			'default' 	=> '',
			'desc' 		=> '微信公众号',
			'match' 	=> 'option',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '140*140',
		),

        'foot'      => array
        (
            'type'      => 'text-255',
            'name'      => '底部信息',
            'default'   => '',
            'desc'      => '底部信息',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => '1',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,cdate',
		'value' => array
		(
			'"神秘城",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
