<?php
$config['base'] = array
(
	'name' => '副业管理中心',
	'version' => '1.0.0 Beta',

    'audit' => array
    (
        1 => '已审核',
        2 => '未审核',
        3 => '审核未通过',
    ),

    # 上线状态
    'status' => array
    (
        1 => '上线发布',
        2 => '下架',
    ),

    # 加密key
    'encode_key' => 'dreamland1985',

    # 站点使用邮箱还是手机作为主账号
    'account' => 'mobile',

    # 日志系统
    'log' => array
    (
        'cron' => array
        (
            'ad/lib/cron.run'
        ),
    ),

    # 积分配置
    'score' => array
    (
        # 实时增加积分开启，关闭则需要把lib/core.cron放到计划任务中
        'sync' => true,
    ),

    # 启用全站图片压缩
    'pic' => 'yun_t1',

    # 队列
    'queue' => array
    (
        'method' => 'redis',
        'host' => 'server-redis',
        'port' => '6379',
        'password' => 'dm_redis_123',
    ),
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    'assets' => 'default',

    # 模板编译器目录
    'template' => 'default',

    # 模板html文件的所在目录，默认为html
    'path' => '',

    'replace' => array
    (
        'css' => 'css/',
        'js' => 'js/',
        'images' => 'images/',
        'script' => 'script/',
        'static' => './static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'index',
    ),
    
);
return $config;