<?php return array (
  'time' => 1640331926,
  'table' => 'news_upload_upload',
  'create' => 'DROP TABLE IF EXISTS `news_upload_upload`;CREATE TABLE `news_upload_upload`(`id` INT(11) UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL COMMENT \'配置ID\',`name` VARCHAR(24) NULL COMMENT \'配置名\',`setwh` INT(1) NOT NULL DEFAULT \'1\' COMMENT \'宽高限制-仅限图片类资源\',`width` INT(11) NOT NULL DEFAULT 0 COMMENT \'最小宽度-仅限图片类资源，设置后上传如果小于该数值，则不能上传成功\',`height` INT(11) NOT NULL DEFAULT 0 COMMENT \'最小高度-仅限图片类资源，设置后上传如果小于该数值，则不能上传成功\',`size` INT(11) NOT NULL DEFAULT \'2\' COMMENT \'限制大小（单位：M）\',`type` VARCHAR(800) NULL COMMENT \'限制文件后缀类型-多个用逗号隔开\',`alter` VARCHAR(255) NULL COMMENT \'默认的后续操作-T=1&C=1&W=1，其中T代表缩略图,1代表对应的ID，C代表裁剪图，W代表水印图，仅限图片类资源\',`cover` INT(1) NOT NULL DEFAULT \'1\' COMMENT \'是否覆盖-将根据上传时的文件名进行文件覆盖操作\',`save_type` INT(1) NOT NULL DEFAULT \'1\' COMMENT \'存储位置-如需进行后续操作，云端不支持，则需要本地处理、云端存储，建议选择云端存储为主，本地存储为辅\',`yun` INT(1) NOT NULL DEFAULT \'1\' COMMENT \'选择云端\',`bucket` VARCHAR(800) NULL COMMENT \'BUCKET名称\',`vod_convert` INT(1) NOT NULL DEFAULT \'1\' COMMENT \'是否进行视频转码\',`pipeline` VARCHAR(800) NULL COMMENT \'队列名称-多个用逗号隔开，将随机使用队列\',`state` TINYINT(1) NOT NULL DEFAULT \'1\' COMMENT \'状态\',`cdate` INT(11) NOT NULL DEFAULT 0 COMMENT \'录入时间\') AUTO_INCREMENT = 1, ENGINE = innodb;',
  'struct' => 
  array (
    'id' => 0,
    'name' => 1,
    'setwh' => 2,
    'width' => 3,
    'height' => 4,
    'size' => 5,
    'type' => 6,
    'alter' => 7,
    'cover' => 8,
    'save_type' => 9,
    'yun' => 10,
    'bucket' => 11,
    'vod_convert' => 12,
    'pipeline' => 13,
    'state' => 14,
    'cdate' => 15,
  ),
  'insert' => 'INSERT INTO `news_upload_upload` (name,cover,type,size,state,cdate) VALUES ("默认图片配置",1,"jpg,png,gif,webp",2,1,1640331926),("默认音频配置",1,"mp3,m4a",20,1,1640331926),("默认视频配置",1,"video,flv,mp4,webm",200,1,1640331926),("默认文件配置",1,"jpg,png,gif,doc,pdf,rar,zip,xls,xlsx,docx,msi",20,1,1640331926),("默认音视频配置",1,"video,mp3,flv,mp4,webm,mov,m4a",200,1,1640331926),("用户上传图片",1,"jpg,png,gif,webp",2,1,1640331926),("裁剪图片",1,"jpg,png,gif,webp",2,1,1640331926)',
);